<?php

/**
 * @file
 * Administration page for scroll to top module
 *
 */

function optipic_admin_settings() {
  $form = array();
  
  // autoreplace_active field.
        $form['optipic_autoreplace_active'] = array(
            '#type' => 'checkbox',
            '#title' => t('Enable auto-replace image URLs'),
            '#default_value' => variable_get('optipic_autoreplace_active'), // $config->get('autoreplace_active')
        );
        // site_id field.
        $form['optipic_site_id'] = array(
            '#type' => 'textfield',
            '#title' => t('Site ID in your CDN OptiPic account'),
            '#default_value' => variable_get('optipic_site_id'), //$config->get('site_id')
        );
        // domains field.
        $form['optipic_domains'] = array(
            '#type' => 'textarea',
            '#title' => t('Domain list (if images are loaded via absolute URLs)'),
            '#default_value' => variable_get('optipic_domains'), //$defaultDomains
        );
        // exclusions_url field.
        $form['optipic_exclusions_url'] = array(
            '#type' => 'textarea',
            '#title' => t('Site pages that do not include auto-change'),
            '#default_value' => variable_get('optipic_exclusions_url'), // $config->get('exclusions_url')
        );
        // whitelist_img_urls field.
        $form['optipic_whitelist_img_urls'] = array(
            '#type' => 'textarea',
            '#title' => t('Replace only URLs of images starting with a mask'),
            '#default_value' => variable_get('optipic_whitelist_img_urls'), //$config->get('whitelist_img_urls')
        );
        // srcset_attrs field.
        $form['optipic_srcset_attrs'] = array(
            '#type' => 'textarea',
            '#title' => t("List of 'srcset' attributes"),
            '#default_value' => variable_get('optipic_srcset_attrs'), //$config->get('srcset_attrs')
        );
        // site_id field.
        $form['optipic_cdn_domain'] = array(
            '#type' => 'textfield',
            '#title' => t('CDN Domain'),
            '#default_value' => variable_get('optipic_cdn_domain'), //$config->get('site_id')
        );
        
        return system_settings_form($form);
  
  /*$form['optipic_label'] = array(
    '#type' => 'textfield',
    '#title' => t('Label'),
    '#description' => t('label displayed in scroll to top link, default "Back to top".'),
    '#default_value' => variable_get('optipic_label', t('Back to top')),
    '#size' => 10,
  );
  
  $form['optipic_position'] = array(
    '#title' => t('Position'),
    '#description' => t('Sroll to top button position'),
    '#type' => 'select',
    '#options' => array(
      1 => t('right'),
      2 => t('left'),
      3 => t('middle'),
    ),
    '#default_value' => variable_get('optipic_position', 0.5),
  );
  $form['optipic_bg_color_hover'] = array(
    '#type' => 'textfield',
    '#title' => t('Background color on mouse over.'),
    '#description' => t('Button background color on mouse over default #777777'),
    '#default_value' => variable_get('optipic_bg_color_hover', '#777777'),
    '#size' => 10,
    '#maxlength' => 7,
  );
  $form['optipic_bg_color_out'] = array(
    '#type' => 'textfield',
    '#title' => t('Background color on mouse out.'),
    '#description' => t('Button background color on mouse over default #CCCCCC'),
    '#default_value' => variable_get('optipic_bg_color_out', '#CCCCCC'),
    '#size' => 10,
    '#maxlength' => 7,
  );
  $form['optipic_display_text'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display label'),
    '#description' => t('Display "BACK TO TOP" text under the button'),
    '#default_value' => variable_get('optipic_display_text', TRUE),
  );
  $form['optipic_enable_admin_theme'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable on administration theme.'),
    '#description' => t('Enable scroll to top button on administartion theme.'),
    '#default_value' => variable_get('optipic_enable_admin_theme', TRUE),
  );
  $form['optipic_preview'] = array(
    '#type' => 'item',
    '#title' => t('Preview'),
    '#markup' => '<div id="scroll-to-top-prev-container">' . t('Change a setting value to see a preview. "Position" and "enable on admin theme" not included.') . '</div>',
  );
  return system_settings_form($form);*/
}


/**
 * Form API submit callback: save settings.
 */
//function optipic_admin_settings_submit($form, &$form_state) {
//   var_dump($form_state);exit;
//}